This service will be undergoing maintenance at 20:00 UTC, 2017-04-03. It is expected to last about 30 minutes
Bug 126959 - kernel: ttyS0: 32 input overrun(s)
kernel: ttyS0: 32 input overrun(s)
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
2
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-06-29 15:27 EDT by Stephen P. Schaefer
Modified: 2015-01-04 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-16 00:30:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stephen P. Schaefer 2004-06-29 15:27:11 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040510

Description of problem:
I often use my laptop to observe serial line console traffic.  Before
Fedora Core 2, this worked fine, including at 115200 bps.  With Fedora
Core 2 I'm getting:

Jun 28 05:46:03 thyrsus-laptop kernel: ttyS0: 55 input overrun(s)
Jun 28 05:46:04 thyrsus-laptop kernel: ttyS0: 47 input overrun(s)
Jun 28 05:46:05 thyrsus-laptop kernel: ttyS0: 14 input overrun(s)

The serial line was initially using IRQ 4, which I believe to be
correct.  I used "setserial /dev/ttyS0 int 0", which I read would
cause the kernel to do a tight poll, but that didn't help.  The other
device is supposed to honor the hardware flow control, and I have it
turned on (both sides), but that doesn't seem to help.  Here's what
setserial has to say:

bash-2.05b$ sudo setserial -a /dev/ttyS0
/dev/ttyS0, Line 0, UART: 16550A, Port: 0x03f8, IRQ: 0
        Baud_base: 115200, close_delay: 5000, divisor: 0
        closing_wait: 37856
        Flags: spd_normal skip_test auto_irq




Version-Release number of selected component (if applicable):
kernel-2.6.6-1.427

How reproducible:
Always

Steps to Reproduce:
1. sudo cu -l /dev/ttyS0 -s 115200
2. Have another device connected to the serial line, at 115200 bps
with hardware flow control.
3. Have the other device produce a lot of output (e.g., a linux
install using a serial console).
    

Actual Results:  Dropped characters.  /var/adm/messages reports:

Jun 28 05:46:05 thyrsus-laptop kernel: ttyS0: 14 input overrun(s)

Expected Results:  No dropped characters.  No /var/adm/messages.

Additional info:
Comment 1 Dave Jones 2005-01-14 00:32:31 EST
any improvement with the latest updates ?
Comment 2 Stephen P. Schaefer 2005-01-17 14:47:19 EST
I just install 2.6.10-1.9_FC2 this morning.  I'm delighted to say that not only
have the serial line problems ceased, but another annoying problem with missed
clock interrupts appears to have been fixed as well.  Thanks!

    - Stephen
Comment 3 Dave Jones 2005-04-16 00:30:27 EDT
Fedora Core 2 has now reached end of life, and no further updates will be
provided by Red Hat.  The Fedora legacy project will be producing further kernel
updates for security problems only.

If this bug has not been fixed in the latest Fedora Core 2 update kernel, please
try to reproduce it under Fedora Core 3, and reopen if necessary, changing the
product version accordingly.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.